# salt.serializers.msgpack

Implements MsgPack serializer.

salt.serializers.msgpack.deserialize(stream_or_string, **options)

  Deserialize any string of stream like object into a Python data structure.

  Parameters:

    - stream_or_string -- stream or string to deserialize.

    - options -- options given to lower msgpack module.

salt.serializers.msgpack.serialize(obj, **options)

  Serialize Python data to MsgPack.

  Parameters:

    - obj -- the data structure to serialize

    - options -- options given to lower msgpack module.